{
  "$schema": "https://alirezanet.github.io/Husky.Net/schema.json",
  "tasks": [
    {
      "name": "Run Tests",
      "group": "pre-push",
      "command": "dotnet",
      "args": [
        "test",
        "--verbosity",
        "minimal"
      ]
    },
    {
      "name": "JB Code Style",
      "group": "pre-commit",
      "command": "dotnet",
      "pathMode": "relative",
      "filteringRule": "staged",
      "args": [
        "jb",
        "cleanupcode",
        "PkmnLib.NET.slnx",
        "--profile=Built-in: Reformat & Apply Syntax Style",
        "--include=${args}"
      ],
      "include": ["**/*.cs"]
    }
  ]
}
